LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::sdbc::ColumnType Constant Group Referencepublished

determines the type of a version column. More...

## Variables
const long | UNKNOWN = 0
| indicates that this column may or may not be a pseudo-column. More...
const long | NOT_PSEUDO = 1
| indicates that this column is NOT a pseudo-column. More...
const long | PSEUDO = 2
| indicates that this column is a pseudo-column. More...

## Detailed Description

determines the type of a version column.

## Variable Documentation

const long NOT_PSEUDO = 1

indicates that this column is NOT a pseudo-column.

A possible value for the column `PSEUDO_COLUMN` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getVersionColumns().

const long PSEUDO = 2

indicates that this column is a pseudo-column.

A possible value for the column `PSEUDO_COLUMN` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getVersionColumns().

const long UNKNOWN = 0

indicates that this column may or may not be a pseudo-column.

A possible value for the column `PSEUDO_COLUMN` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getVersionColumns().